Phones

Update Number Options

PUT
/v1/Phones/{phone}

Updates options for the specified Phone Number. Use this method to update display name and change the Messaging Config association.

AuthorizationBasic <token>

Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.

In: header

Path Parameters

phone*string

Phone number.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Update Phone Request.

Update Phone Request.

Response Body

curl -X PUT "https://example.com/v1/Phones/string" \  -H "Content-Type: application/json" \  -d '{    "messagingConfigSid": "MCf4f1e0ccde19431ebde74a9f2996afa0",    "name": "My First Phone"  }'
{  "createdOn": "2023-09-09T15:00:00.000Z",  "number": "+12345678900",  "name": "My First Phone",  "messagingConfigSid": "MCf4f1e0ccde19431ebde74a9f2996afa0",  "status": "Active",  "voiceStatus": "OffPlatform"}
"string"
{  "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1",  "title": "Error title",  "detail": "Error detailed message",  "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}